{--------------------------------------------------------}
{
{    vtmsg - mdulo de mensagens do voxtube
{
{    Autores:  Antonio Borges e Fabiano Ferreira
{
{    Em fevereiro de 2013
{
{--------------------------------------------------------}

unit vtmsg;

interface

uses dvcrt, dvWin, dvWav,
     windows, sysUtils;

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);

implementation

{--------------------------------------------------------}
{              descobre o texto da mensagem
{--------------------------------------------------------}

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    if nomeArq = 'VTINIC' then
        s := 'Programa de Pesquisa no YouTube - verso '
    else
    if nomeArq = 'VTQBUSCA' then
        s := 'Qual sua busca: '
    else
    if nomeArq = 'VTOUTRO' then
        s := 'Deseja pesquisar outro assunto? '
    else
    if nomeArq = 'VTFIM' then
        s := 'Fim do programa'
    else
    if nomeArq = 'VTNAOCON' then
        s := 'No consegui realizar a conexo.'
    else
    if nomeArq =  'VTNUMLID' then
         s := 'Registros lidos: '
    else
    if nomeArq =  'VTUNIVER' then
        s := ' de um universo de '
    else
    if nomeArq =  'VTAUTOR' then
        s := 'Autor: '
    else
    if nomeArq =  'VTDURA' then
        s := 'Durao: '
    else
    if nomeArq =  'VTVISUAL' then
        s := 'Visualizaes: '
    else
    if nomeArq = 'VTQUERMO' then
        s :=  'Quer mostrar? '
    else
    if nomeArq = 'VTABNAV' then
        s := 'Abrindo navegador. Acione ALT F4 quando terminar.'
    else
    if nomeArq = 'VTFOLTRM' then
        s := 'Folheamento terminado'
    else
    if nomeArq = 'VTMINUTO' then
        s := ' minutos '
    else
    if nomeArq = 'VTSEGUND' then
        s := ' segundos'
    else
    if nomeArq = 'VTAPTENT' then
        s := 'Aperte enter...'

    else
    if nomeArq = 'VTOPCAO' then
        s := 'As opes so:'
    else
    if nomeArq = 'VTOP_ENT' then
        s := 'ENTER - inicia a execuo do vdeo'
    else
    if nomeArq = 'VTOP_I' then
        s := 'I - informaes sobre o vdeo'
    else
    if nomeArq = 'VTOP_P' then
        s := 'P - prximos 25 vdeos (ou quantos houver)'
    else
    if nomeArq = 'VTOP_A' then
        s := 'A - vdeos anteriores'
    else
    if nomeArq = 'VTOP_Q' then
        s := 'Q - informa a posio na lista de vdeos'
    else
    if nomeArq = 'VTOP_CTC' then
        s := 'Ctrl+C copia o ttulo e o link dos vdeos'
    else
    if nomeArq = 'VTOP_CTL' then
        s := 'Ctrl+L - copia o link do vdeo atual'
    else
    if nomeArq = 'VTOP_ESC' then
        s := 'ESC - Cancelar'
    else
    if nomearq = 'VTSELSET' then
        s := 'Selecione com as setas a opo desejada:'

    else
        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{                    d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomeArq) then
        sintSom (nomeArq)
    else
        sintetiza (s);
end;

end.
